%define upstream_name	 PerlIO-via-symlink
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Perl module that helps creating dynamic PerlIO layers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Module::Install)

BuildArch:	noarch

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers.
It is useful when the behavior of the layer depends on variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -rf inc

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std
rm -rf %{buildroot}/%{perl_vendorarch}

%files
%doc README CHANGES
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.50.0-8pclos2017
- rebuild against updates

